aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/fperms')
-rwxr-xr-xbin/fperms15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/fperms b/bin/fperms
new file mode 100755
index 000000000..ce72126e2
--- /dev/null
+++ b/bin/fperms
@@ -0,0 +1,15 @@
+#!/bin/bash
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-src/portage/bin/fperms,v 1.6 2004/10/04 13:56:50 vapier Exp $
+
+if [ ${#} -lt 2 ] ; then
+ echo "${0}: at least two arguments needed"
+ exit 1
+fi
+
+PERM="${1}"
+shift
+for FILE in $*; do
+ chmod "${PERM}" "${D}${FILE}"
+done